# oslopolicy-policy-generator

## Synopsis

    oslopolicy-policy-generator [-h] [--config-dir DIR] [--config-file PATH]
                                [--namespace NAMESPACE]
                                [--output-file OUTPUT_FILE]

## Description

The `oslopolicy-policy-generator` command can be used to generate a policy file that shows the effective policy in use. This is generated by merging the registered defaults and policies loaded from a configuration file.

## Options

-h, --help

  Show help message and exit.

--config-dir DIR

  Path to a config directory to pull `*.conf` files from. This file set is sorted, so as to provide a predictable parse order if individual options are overridden. The set is parsed after the file(s) specified via previous `--config-file`, arguments hence overridden options in the directory take precedence.

  This option must be set from the command-line.

--config-file PATH

  Path to a config file to use. Multiple config files can be specified, with values in later files taking precedence. Defaults to None. This option must be set from the command-line.

--namespace NAMESPACE

  Option namespace under “oslo.policy.enforcer” in which to look for a `policy.Enforcer`.

--output-file OUTPUT_FILE

  Path of the file to write to. Defaults to stdout.

--exclude-deprecated True

  Option allowing the rendered output to be generated without deprecated policy information.

## Examples

The generate the effective policy file for a namespace called `keystone`:

    oslopolicy-policy-generator --namespace keystone

To generate the effective policy file and output directly to a file:

    oslopolicy-policy-generator \
      --namespace keystone \
      --output-file keystone-policy.yaml

To show the additional options and arguments supported by `oslopolicy-policy-generator`:

    oslopolicy-policy-generator --help

## See Also

oslopolicy-sample-generator, oslopolicy-list-redundant, oslopolicy-checker

this page last updated: 2026-07-15 00:36:21

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug